package convexHull;

import java.awt.*;
/**
 * This type was created in VisualAge.
 */
public class LeftCanvas extends java.awt.Canvas
{
	private int pointer;
/**
 * LeftCanvas constructor comment.
 */
public LeftCanvas()
{
	super();
	pointer = -1;
}
public void paint(Graphics g)
{
	// clear the whole area
	g.clearRect(0, 0, getSize().width, getSize().height);
	// draw red tick-marks
	g.setColor(Color.red);
	for (int i = 0; i < getSize().height; i = i + 5)
	{
		if (i % 100 == 0)
			g.drawLine(0, i, 8, i);
		else
			if (i % 50 == 0)
				g.drawLine(0, i, 6, i);
			else
				if (i % 25 == 0)
					g.drawLine(0, i, 4, i);
				else
					g.drawLine(0, i, 2, i);
	}

	// draw blue pointer at the current position
	g.setColor(Color.blue);
	g.drawLine(0, pointer, 10, pointer);
}
public void setPointer(int p)
{
	// if nothing to do, don't do anything
	if (p == pointer)
		return;
	Graphics g = getGraphics();

	// replace the old pointer with background
	g.setColor(getBackground());
	g.drawLine(0, pointer, 10, pointer);

	// replace the old pointer with a tick-mark
	g.setColor(Color.red);
	if (pointer % 100 == 0)
		g.drawLine(0, pointer, 8, pointer);
	else
		if (pointer % 50 == 0)
			g.drawLine(0, pointer, 6, pointer);
		else
			if (pointer % 25 == 0)
				g.drawLine(0, pointer, 4, pointer);
			else
				if (pointer % 5 == 0)
					g.drawLine(0, pointer, 2, pointer);

				// draw a new pointer in blue
	pointer = p;
	g.setColor(Color.blue);
	g.drawLine(0, pointer, 10, pointer);
}
}